cURL
curl -X GET "https://api.fitsociety.io/public/v1/calendar-tasks" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/calendar-tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/calendar-tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"dateFrom": "2026-07-14T10:00:00.000Z",
"dateTo": "2026-07-14T10:00:00.000Z",
"truncated": true,
"tasks": [
{
"taskId": "66f7b8b1e13c8d25f4d3d90a",
"title": "string",
"notes": "string",
"blockingScope": "string",
"startAt": "2026-07-14T10:00:00.000Z",
"endAt": "2026-07-14T10:00:00.000Z",
"isRecurring": true,
"timeZone": "Europe/Amsterdam",
"color": "string",
"coaches": [
{
"coachId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Example name"
}
]
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Tasks
List calendar tasks
Requires calendar_tasks:read. Returns blocking task DTOs without sync/audit internals.
GET
/
public
/
v1
/
calendar-tasks
cURL
curl -X GET "https://api.fitsociety.io/public/v1/calendar-tasks" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/calendar-tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/calendar-tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"dateFrom": "2026-07-14T10:00:00.000Z",
"dateTo": "2026-07-14T10:00:00.000Z",
"truncated": true,
"tasks": [
{
"taskId": "66f7b8b1e13c8d25f4d3d90a",
"title": "string",
"notes": "string",
"blockingScope": "string",
"startAt": "2026-07-14T10:00:00.000Z",
"endAt": "2026-07-14T10:00:00.000Z",
"isRecurring": true,
"timeZone": "Europe/Amsterdam",
"color": "string",
"coaches": [
{
"coachId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Example name"
}
]
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100